Insight Tile

Last update: September 10, 2026
•
1 min to read

Retrieve insight tiles, including summary tiles and entity tiles, for a specific entity type.

HTTP Method

POST

Endpoint

/api/engine/insights/run

Request URL

{Base URL}/api/engine/insights/run

Sample Request Body

{
  "QueryInfo": {
    "Meta": {},
    "Nodes": [
      {
        "Id": "Node0",
        "Queries": [
          {
            "Name": "Investigation",
            "IDList": [18]
          }
        ],
        "FilterByTeam": true
      }
    ]
  },
  "VizInfo": {
    "IntelVizLayoutName": "EntityExplorerLayout"
  }
}

Parameters

Param NameData TypeDescription
EntityStringEntity type (for example, Investigation).
IDListIntegerEntity IDs to retrieve (for example, [18]).
FilterByTeamBooleantrue - Returns entities within your organization. false - Returns entities across the system.
IntelVizLayoutNameStringLayout type. Use EntityExplorerLayout.

Curl Example

Multi-line format (for readability):

curl --header "Accept-Language: en" \
     --http1.1 \
     --insecure \
     --verbose \
     --ntlm \
     --user "device-name1\jdoe:P@ssw0rd" \
     -X POST \
     "https://hubstreamproduction.hubstreamonline.com/api/engine/insights/run" \
     -H "Content-Type: application/json" \
     -d '{
       "QueryInfo": {
         "Meta": {},
         "Nodes": [
           {
             "Id": "Node0",
             "Queries": [
               {
                 "Name": "Investigation",
                 "IDList": [18]
               }
             ],
             "FilterByTeam": true
           }
         ]
       },
       "VizInfo": {
         "IntelVizLayoutName": "EntityExplorerLayout"
       }
     }'

Single-line format (for terminal use):

curl --header "Accept-Language: en" --http1.1 --insecure --verbose --ntlm --user "device-name1\jdoe:P@ssw0rd" -X POST "https://hubstreamproduction.hubstreamonline.com/api/engine/insights/run" -H "Content-Type: application/json" -d "{\"QueryInfo\":{\"Meta\":{},\"Nodes\":[{\"Id\":\"Node0\",\"Queries\":[{\"Name\":\"Investigation\",\"IDList\":[18]}],\"FilterByTeam\":true}]},\"VizInfo\":{\"IntelVizLayoutName\":\"EntityExplorerLayout\"}}"

Sample Responses

Status code 2XX indicates successful request and response.

200 OK

Description: Operation succeeded

Response Body

{
  "TileInfoList": [
    {
      "ID": "7d2344ae98d844189c2b70835e60a4f7",
      "Type": "EntityTileContainer",
      "BlockType": "Tile",
      "IsStandalone": false,
      "Data": {
        "EntityName": "Company",
        "EntityCaption": "Company",
        "ID": 324,
        "Icon": "shop-door",
        "Field": {
          "Value": "JSNJ"
        }
      },
      "Tiles": [
        {
          "Type": "EntityOutlineTileViewContainer",
          "Tiles": [
            {
              "Type": "EntityOutlineTileOverview",
              "Data": {
                "EntityName": "Company",
                "EntityID": 324,
                "DisplayFieldValue": "JSNJ",
                "OrganizationName": "Hubstream"
              }
            },
            {
              "Type": "EntityOutlineTileListView",
              "Data": [
                { "Cases": "1" }
              ]
            }
          ]
        }
      ]
    }
  ]
}